<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.DDRS.AF.Max.Laser.Type</name>
<version>3</version>
<engineversion>32</engineversion>
<description>Max possibe 'Anti-Fighter' laser type in turret</description>
<arguments>
<argument index="1" name="Turret" type="Var/Number" desc="Turret" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$numAFLasers&#160;=&#160;</var><var>19</var></line>
<line linenr="002" indent=""><var>$AFLasers&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>$numAFLasers</var></line>
<line linenr="003" indent=""><var>$AFLasers</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>Beta&#160;Flak&#160;Artillery&#160;Array</var></line>
<line linenr="004" indent=""><var>$AFLasers</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>Alpha&#160;Flak&#160;Artillery&#160;Array</var></line>
<line linenr="005" indent=""><var>$AFLasers</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>Beta&#160;Kyon&#160;Emitter</var></line>
<line linenr="006" indent=""><var>$AFLasers</var><text>[</text><var>3</var><text>]&#160;=&#160;</text><var>Alpha&#160;Kyon&#160;Emitter</var></line>
<line linenr="007" indent=""><var>$AFLasers</var><text>[</text><var>4</var><text>]&#160;=&#160;</text><var>Beta&#160;Anti-Matter&#160;Pulse&#160;Cannon</var></line>
<line linenr="008" indent=""><var>$AFLasers</var><text>[</text><var>5</var><text>]&#160;=&#160;</text><var>Mass&#160;Driver</var></line>
<line linenr="009" indent=""><var>$AFLasers</var><text>[</text><var>6</var><text>]&#160;=&#160;</text><var>Alpha&#160;Anti-Matter&#160;Pulse&#160;Cannon</var></line>
<line linenr="010" indent=""><var>$AFLasers</var><text>[</text><var>7</var><text>]&#160;=&#160;</text><var>Beta&#160;Pulsed&#160;Beam&#160;Emitter</var></line>
<line linenr="011" indent=""><var>$AFLasers</var><text>[</text><var>8</var><text>]&#160;=&#160;</text><var>Alpha&#160;Pulsed&#160;Beam&#160;Emitter</var></line>
<line linenr="012" indent=""><var>$AFLasers</var><text>[</text><var>9</var><text>]&#160;=&#160;</text><var>Beta&#160;Impulse&#160;Ray&#160;Emitter</var></line>
<line linenr="013" indent=""><var>$AFLasers</var><text>[</text><var>10</var><text>]&#160;=&#160;</text><var>Alpha&#160;Impulse&#160;Ray&#160;Emitter</var></line>
<line linenr="014" indent=""><var>$AFLasers</var><text>[</text><var>11</var><text>]&#160;=&#160;</text><var>Alpha&#160;Particle&#160;Accelerator&#160;Cannon</var></line>
<line linenr="015" indent=""><var>$AFLasers</var><text>[</text><var>12</var><text>]&#160;=&#160;</text><var>Beta&#160;Particle&#160;Accelerator&#160;Cannon</var></line>
<line linenr="016" indent=""><var>$AFLasers</var><text>[</text><var>13</var><text>]&#160;=&#160;</text><var>Alpha&#160;High&#160;Energy&#160;Plasma&#160;Thrower</var></line>
<line linenr="017" indent=""><var>$AFLasers</var><text>[</text><var>14</var><text>]&#160;=&#160;</text><var>Beta&#160;High&#160;Energy&#160;Plasma&#160;Thrower</var></line>
<line linenr="018" indent=""><var>$AFLasers</var><text>[</text><var>15</var><text>]&#160;=&#160;</text><var>Gamma&#160;Kyon&#160;Emitter</var></line>
<line linenr="019" indent=""><var>$AFLasers</var><text>[</text><var>16</var><text>]&#160;=&#160;</text><var>Alpha&#160;Photon&#160;Pulse&#160;Cannon</var></line>
<line linenr="020" indent=""><var>$AFLasers</var><text>[</text><var>17</var><text>]&#160;=&#160;</text><var>Beta&#160;Photon&#160;Pulse&#160;Cannon</var></line>
<line linenr="021" indent=""><var>$AFLasers</var><text>[</text><var>18</var><text>]&#160;=&#160;</text><var>Gamma&#160;Photon&#160;Pulse&#160;Cannon</var></line>
<line linenr="022" indent=""></line>
<line linenr="023" indent=""><var>$ctr&#160;=&#160;</var><var>0</var></line>
<line linenr="024" indent=""><var>while&#160;</var><var>$ctr</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$numAFLasers</var></line>
<line linenr="025" indent="&#160;"><var>if&#160;not&#160;</var><var>$AFLaser</var></line>
<line linenr="026" indent="&#160;&#160;"><var>$LaserType&#160;=&#160;</var><var>$AFLasers</var><text>[</text><var>$ctr</var><text>]</text></line>
<line linenr="027" indent="&#160;&#160;"><var>$rc&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fits&#160;laser&#160;</text><var>$LaserType</var><text>&#160;into&#160;turret&#160;</text><var>$Turret</var></line>
<line linenr="028" indent="&#160;&#160;"><var>if&#160;</var><var>$rc</var></line>
<line linenr="029" indent="&#160;&#160;&#160;"><var>$AFLaser&#160;=&#160;</var><var>$LaserType</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="031" indent="&#160;&#160;"><text>end</text></line>
<line linenr="032" indent="&#160;&#160;"><text>inc&#160;</text><var>$ctr&#160;=&#160;</var></line>
<line linenr="033" indent="&#160;"><text>end</text></line>
<line linenr="034" indent=""><text>end</text></line>
<line linenr="035" indent=""><text>return&#160;</text><var>$AFLaser</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.DDRS.AF.Max.Laser.Type" /><sval type="int" val="32" /><sval type="string" val="Max possibe 'Anti-Fighter' laser type in turret" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="7"><sval type="string" val="Turret" /><sval type="string" val="numAFLasers" /><sval type="string" val="AFLasers" /><sval type="string" val="ctr" /><sval type="string" val="AFLaser" /><sval type="string" val="LaserType" /><sval type="string" val="rc" /></sval><sval type="array" size="32"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="19" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="9" /><sval type="int" val="524296" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="524295" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="524302" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="9" /><sval type="int" val="524301" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="524318" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="9" /><sval type="int" val="524304" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="6" /><sval type="int" val="9" /><sval type="int" val="524317" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="524313" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="524312" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="524289" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="10" /><sval type="int" val="9" /><sval type="int" val="524288" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="11" /><sval type="int" val="9" /><sval type="int" val="524290" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="12" /><sval type="int" val="9" /><sval type="int" val="524291" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="13" /><sval type="int" val="9" /><sval type="int" val="524292" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="14" /><sval type="int" val="9" /><sval type="int" val="524293" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="524303" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="16" /><sval type="int" val="9" /><sval type="int" val="524306" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="17" /><sval type="int" val="9" /><sval type="int" val="524307" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="9" /><sval type="int" val="524308" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604791" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536863228" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="553" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610605309" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="31" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="22" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Turret" /></sval></sval><sval type="array" size="5"><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
